﻿using System.Security.Claims;

namespace Infrastructure.HttpUserContext;

public interface IUserContext<out TId> where TId : IEquatable<TId>
{
    TId Id { get; }

    string Username { get; }

    string Name { get; }

    string Email { get; }

    string[] RoleIds { get; }

    string RemoteIpAddress { get; }

    JwtTokenInfo GenerateTokenInfo(JwtSecurityToken jwtSecurityToken,double? duration, string schemeName);

    IList<Claim> GetClaimsFromUserContext();
}